Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Diagnostics.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6/**
7 * Network Configuration
8 */
9module net {
10
11 /** Diagnostics interface */
12 interface Diagnostics {
13 constant int NO_ERROR = 0; ///< No error
14 constant int ERR_INVALID_PARAM = 1; ///< Invalid parameters
15 constant int ERR_EXEC_FAIL = 2; ///< Error during execution
16 constant int ERR_TIMEOUT = 3; ///< Timeout
17 constant int ERR_RESOLVE_FAIL = 4; ///< Name resolution failure
18
19 /**
20 * Ping a network host (send out ICMP echo requests)
21 *
22 * @param hostName host that should be pinged
23 * @param count number of echo requests that should be sent (up to 20)
24 * @param size payload size (0..65535)
25 * @param results output of the ping command
26 *
27 * @return NO_ERROR if ping command was successful
28 * @return ERR_INVALID_PARAM if any parameters were invalid
29 * @return ERR_EXEC_FAIL if there was an error during ping execution
30 * @return ERR_RESOLVE_FAIL if the host name could not be resolved
31 */
32 int ping(in string hostName, in int count, in int size, out vector<string> results);
33
34 /**
35 * Get the route packet trace to a network host
36 *
37 * @param hostName destination host to track
38 * @param timeout Timeout (in seconds) to wait for traceroute results (up to 900)
39 * @param useIcmp use ICMP packets instead of UDP packets
40 * @param results trace output
41 *
42 * @return NO_ERROR if traceroute was successful
43 * @return ERR_INVALID_PARAM if any parameters were invalid
44 * @return ERR_EXEC_FAIL if there was an error during traceroute execution
45 * @return ERR_TIMEOUT if traceroute didn't finish before timeout elapsed
46 * @return ERR_RESOLVE_FAIL if the host name could not be resolved
47 */
48 int traceRoute(in string hostName, in int timeout,
49 in boolean useIcmp, out vector<string> results);
50
51 /**
52 * List the currently active TCP connections
53 *
54 * @return NO_ERROR if successful
55 * @return ERR_EXEC_FAIL if an error occured during execution of the socket statistic utility
56 */
57 int listTcpConnections(out vector<string> results);
58
59 /**
60 * List TCP/UDP listen (server) sockets
61 *
62 * @return NO_ERROR if successful
63 * @return ERR_EXEC_FAIL if an error occured during execution of the socket statistic utility
64 */
65 int listTcpUdpListenSockets(out vector<string> results);
66
67 /**
68 * Test whether resolving a host name works and provide diagnostic information.
69 *
70 * @param hostName host name to resolve
71 * @param results result (includes meta data and the actual result or error message)
72 */
73 void resolveHostName(in string hostName, out vector<string> results);
74
75 /**
76 * Flush IPv4/IPv6 route cache
77 *
78 * Primarily used by IPv6 conformance test.
79 *
80 * @param ifName the route cache of at least this interface is cleared
81 */
82 void flushRouteCache(in string ifName);
83 };
84
85}
net::Diagnostics
Diagnostics interface.
Definition Diagnostics.idl:12
net::Diagnostics::listTcpConnections
int listTcpConnections(out vector< string > results)
List the currently active TCP connections.
net::Diagnostics::ping
int ping(in string hostName, in int count, in int size, out vector< string > results)
Ping a network host (send out ICMP echo requests)
net::Diagnostics::flushRouteCache
void flushRouteCache(in string ifName)
Flush IPv4/IPv6 route cache.
net::Diagnostics::traceRoute
int traceRoute(in string hostName, in int timeout, in boolean useIcmp, out vector< string > results)
Get the route packet trace to a network host.
net::Diagnostics::resolveHostName
void resolveHostName(in string hostName, out vector< string > results)
Test whether resolving a host name works and provide diagnostic information.
net::Diagnostics::listTcpUdpListenSockets
int listTcpUdpListenSockets(out vector< string > results)
List TCP/UDP listen (server) sockets.
net
Network Configuration.
Definition Diagnostics.idl:9